Bug 258667 - Allow terminal to open hyperlinks
Allow terminal to open hyperlinks
Status: STARTED
Product: cnd
Classification: Unclassified
Component: Terminalemulator
8.1
All All
: P3 (vote)
: Dev
Assigned To: ilia
issues@cnd
82patch-candidate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-05 16:15 UTC by ilia
Modified: 2016-10-31 02:58 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
screenshot (295.16 KB, image/png)
2016-10-20 14:17 UTC, Alexander Pepin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ilia 2016-04-05 16:15:36 UTC

    
Comment 1 ilia 2016-04-06 08:26:51 UTC
Partial fix in:
  hg.netbeans.org/cnd-main/rev/817fe2bef5eb

Added support for links to files with absolute path provided:

fprintf(stdout, "(\033]10;%s;%s\007)]\n", "/home/ilia/NetBeansProjects/CppApplication_48/main.cpp:20", "main.cpp:20");

[:lineNumber] is Optional
Comment 2 Quality Engineering 2016-04-07 01:53:19 UTC
Integrated into 'main-silver', will be available in build *201604070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/817fe2bef5eb
User: Ilia Gromov <ilia@netbeans.org>
Log: fixed #258667 - Allow terminal to open hyperlinks
Comment 3 Quality Engineering 2016-04-12 01:46:47 UTC
Integrated into 'main-silver', will be available in build *201604120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/102f74a99e14
User: Ilia Gromov <ilia@netbeans.org>
Log: remove extra unboxing - #258667 - Allow terminal to open hyperlinks
Comment 4 Alexander Pepin 2016-09-27 16:36:57 UTC
Hyperlinks do not work in the terminal for full remote projects.
Comment 5 Alexander Pepin 2016-10-20 14:15:26 UTC
One more issue is that after clicking on the hyperlink in the terminal the cursor is set to next line instead of the line mentioned in the hyperlink (see screenshot).

From the test log:
.....
[62000] The source file 'intTest.cc' should be opened in the editor now and the cursor should be set to the line pointed by the hyperlink.
[62017] The cursor is set to the line 14
[62017] The line pointed by the hyperlink is 13
[62017] TEST FAILED: The cursor is set to line 14 whereas is should be set to line 13 pointed by the hyperlink
Comment 6 Alexander Pepin 2016-10-20 14:17:42 UTC
Created attachment 162569 [details]
screenshot
Comment 7 Quality Engineering 2016-10-31 02:58:28 UTC
Integrated into 'main-silver', will be available in build *201610310002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/a27f1a866e32
User: Ilia Gromov <ilia@netbeans.org>
Log: additional fix for #258667 - Allow terminal to open hyperlin
(transplanted from 4ce5ae55fb9616bc855a85b190a4893f44e63660)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo